API reference
Requests for quotes
Ask operators to quote a trip request, message them, and list the contacts you asked before.
List a request's requests for quotes
GET/v1/trip-requests/{id}/rfqs
- Scope
read- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Query parameters
cursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
100.
Response
200 OK
Returns a page of RFQ objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/trip-requests/$ID/rfqs" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Request quotes from operators
POST/v1/trip-requests/{id}/rfqs
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Request body
operatorsarray of objectsRequired1 to 20 items.
3 fields in operators
emailemailRequiredoperator_idUUIDRequirednamestring1 to 120 characters.
notestringUp to 2,000 characters.
Response
201 Created
Returns the RFQ batch object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/trip-requests/$ID/rfqs" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonRead the messages on a request for quotes
GET/v1/rfqs/{id}/messages
- Scope
read- Quota
- Does not count
Path parameters
idstringRequiredThe rfq's id for its organization, or the link's token
Query parameters
cursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
100.
Response
200 OK
Returns a page of RFQ message objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/rfqs/$ID/messages" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Write on a request for quotes
POST/v1/rfqs/{id}/messages
- Scope
write- Quota
- Does not count
Path parameters
idstringRequiredThe rfq's id for its organization, or the link's token
Headers
Idempotency-Keystring1 to 200 characters.
Request body
bodystringRequired1 to 2,000 characters.
Response
201 Created
Returns the RFQ message object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/rfqs/$ID/messages" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)" \
--json @body.jsonWithdraw a request for quotes
POST/v1/rfqs/{id}/withdrawals
- Scope
write- Quota
- Counts toward your allowance
Path parameters
idUUIDRequired
Headers
Idempotency-KeystringRequired1 to 200 characters.
Response
200 OK
Returns the RFQ object.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl --request POST "$CHARTEROPS_API_URL/v1/rfqs/$ID/withdrawals" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY" \
--header "Idempotency-Key: $(uuidgen)"List remembered operator contacts
GET/v1/operator-contacts
- Scope
read- Quota
- Counts toward your allowance
Query parameters
operator_id[]array of UUIDscursorstringUp to 2,000 characters.
limitintegerFrom 1 to 100. Defaults to
100.
Response
200 OK
Returns a page of operator contact objects in items, with next_cursor and total.
Errors
401Unauthorized403Forbidden404Not found409Conflict422Unprocessable content429Too many requests
Example request
curl "$CHARTEROPS_API_URL/v1/operator-contacts" \
--header "Authorization: Bearer $CHARTEROPS_API_KEY"Objects
RFQ
contact_emailstringcontact_namestringCan be nullcreated_byobjectCan be null3 fields in created_by
avatar_urlstringCan be nulldisplay_namestringuser_idUUIDCan be null
expires_atdate-timeidUUIDis_expiredbooleanlast_message_atdate-timeCan be nulllast_message_authorstringCan be nullOne of
brokeroperatormessage_countintegernotestringCan be nulloperatorobject4 fields in operator
dba_namestringCan be nulldesignatorstringidUUIDlegal_namestring
quote_amount_centsintegerCan be nullquote_idUUIDCan be nullresponded_atdate-timeCan be nullresponse_notestringCan be nullsent_atdate-timestatusstringOne of
sentquoteddeclinedwithdrawntrip_request_idUUIDviewed_atdate-timeCan be null
RFQ batch
emailedbooleanitemsarray of objects20 fields in items
contact_emailstringcontact_namestringCan be nullcreated_byobjectCan be null3 fields in created_by
avatar_urlstringCan be nulldisplay_namestringuser_idUUIDCan be null
expires_atdate-timeidUUIDis_expiredbooleanlast_message_atdate-timeCan be nulllast_message_authorstringCan be nullOne of
brokeroperatormessage_countintegernotestringCan be nulloperatorobject4 fields in operator
dba_namestringCan be nulldesignatorstringidUUIDlegal_namestring
quote_amount_centsintegerCan be nullquote_idUUIDCan be nullresponded_atdate-timeCan be nullresponse_notestringCan be nullsent_atdate-timestatusstringOne of
sentquoteddeclinedwithdrawntrip_request_idUUIDurlstringCan be nullviewed_atdate-timeCan be null
RFQ message
atdate-timeauthorstringOne of
brokeroperatorauthor_namestringbodystringidUUID
Operator contact
emailstringnamestringCan be nulloperator_idUUIDupdated_atdate-time